import { App } from "astal/gtk4"
import style from "./style.scss"
import Bar from "./ui/Launcher"

App.start({
    css: style,
    main() {
        App.get_monitors().map(Bar)
    },
    requestHandler(request, res) {
        if ( request === 'open' ) {
            res( 'ok' );
        } else if ( request === 'close' ) {
            res( 'ok' );
        } else if ( request === 'toggle' ) {
            res( 'ok' );
        }
    }
})
